Skip to main content
POST
/
api
/
v1
/
wallet
/
execute_transaction
Execute transaction
curl --request POST \
  --url https://api.hevn.finance/api/v1/wallet/execute_transaction \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "msg": "<string>",
  "publicKey": "<string>",
  "proof": "<string>"
}
'
{
  "status": "<string>",
  "transactionHash": "<string>",
  "userOpHash": "<string>"
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request to execute a signed transaction on wallet contract.

msg
string
required
publicKey
string
required
proof
string
required

Response

Successful Response

Response after executing a transaction.

status
string
required
transactionHash
string | null
userOpHash
string | null